
/* include header files */

#include <stdio.h>       // printf
#include <unistd.h>      // fork
#include <sys/types.h>   // fork

/* main function */

int main(){              // no arguments needed
  printf("- Begin -\n"); // write "begin" on screen
  fork();		 // execute kernel function fork
  printf("- End -\n");	 // write "end" on screen
			 // this line is executed by 2 processes
			 // child and parent
  return 0;
}

